﻿<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|ARM">
      <Configuration>Debug</Configuration>
      <Platform>ARM</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|ARM">
      <Configuration>Release</Configuration>
      <Platform>ARM</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|ARM64">
      <Configuration>Debug</Configuration>
      <Platform>ARM64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|ARM64">
      <Configuration>Release</Configuration>
      <Platform>ARM64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{48e6a134-e0da-4646-8640-1cc29460703c}</ProjectGuid>
    <Keyword>Linux</Keyword>
    <RootNamespace>MO_2_Metal_detector</RootNamespace>
    <ProjectName>MO_2_Metal_detector</ProjectName>
    <MinimumVisualStudioVersion>15.0</MinimumVisualStudioVersion>
    <ApplicationType>Linux</ApplicationType>
    <ApplicationTypeRevision>1.0</ApplicationTypeRevision>
    <TargetLinuxPlatform>Generic</TargetLinuxPlatform>
    <LinuxProjectType>{D51BCBC9-82E9-4017-911E-C93873C4EA2B}</LinuxProjectType>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <UseDebugLibraries>true</UseDebugLibraries>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <UseDebugLibraries>false</UseDebugLibraries>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings" />
  <ImportGroup Label="Shared" />
  <ImportGroup Label="PropertySheets" />
  <PropertyGroup Label="UserMacros">
    <LinuxIncludePath>c:\visualmicro\ignore</LinuxIncludePath>
    <wiringPiIncludePath>c:\visualmicro\pi-ignore</wiringPiIncludePath>
  </PropertyGroup>
  <ItemGroup>
    <ClCompile Include="Calculations.cpp" />
    <ClCompile Include="Communitcation.cpp" />
    <ClCompile Include="MetalDetector.cpp" />
    <ClCompile Include="MO_2_Metal_detector.ino">
      <FileType>CppCode</FileType>
    </ClCompile>
    <ClCompile Include="SaveData.cpp" />
  </ItemGroup>
  <ItemGroup>
    <ProjectCapability Include="VisualMicro" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="Calculations.h" />
    <ClInclude Include="Communitcation.h" />
    <ClInclude Include="MainHeader.h" />
    <ClInclude Include="MetalDetector.h" />
    <ClInclude Include="SaveData.h" />
    <ClInclude Include="__vm\.MO_2_Metal_detector.vsarduino.h" />
  </ItemGroup>
  <PropertyGroup>
    <DebuggerFlavor>VisualMicroDebugger</DebuggerFlavor>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|ARM'">
    <IncludePath>$(ProjectDir)..\MO_2_Metal_detector;c:\Users\Gebruiker\AppData\Local\Arduino15\packages\arduino\hardware\avr\1.8.5\cores\arduino;c:\Users\Gebruiker\AppData\Local\Arduino15\packages\arduino\hardware\avr\1.8.5\variants\standard;c:\users\gebruiker\appdata\local\arduino15\packages\arduino\tools\avr-gcc\7.3.0-atmel3.6.1-arduino7\lib\gcc\avr\7.3.0\include;c:\users\gebruiker\appdata\local\arduino15\packages\arduino\tools\avr-gcc\7.3.0-atmel3.6.1-arduino7\lib\gcc\avr\7.3.0\include-fixed;c:\users\gebruiker\appdata\local\arduino15\packages\arduino\tools\avr-gcc\7.3.0-atmel3.6.1-arduino7\avr\include</IncludePath>
    <RemoteCCompileToolExe>c:\Users\Gebruiker\AppData\Local\Arduino15\packages\arduino\tools\avr-gcc\7.3.0-atmel3.6.1-arduino7\bin\avr-g++</RemoteCCompileToolExe>
    <RemoteCppCompileToolExe>c:\Users\Gebruiker\AppData\Local\Arduino15\packages\arduino\tools\avr-gcc\7.3.0-atmel3.6.1-arduino7\bin\avr-g++</RemoteCppCompileToolExe>
    <ValidateArchitecture>false</ValidateArchitecture>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|ARM'">
    <IncludePath>$(ProjectDir)..\MO_2_Metal_detector;c:\Users\Gebruiker\AppData\Local\Arduino15\packages\arduino\hardware\avr\1.8.5\cores\arduino;c:\Users\Gebruiker\AppData\Local\Arduino15\packages\arduino\hardware\avr\1.8.5\variants\standard;c:\users\gebruiker\appdata\local\arduino15\packages\arduino\tools\avr-gcc\7.3.0-atmel3.6.1-arduino7\lib\gcc\avr\7.3.0\include;c:\users\gebruiker\appdata\local\arduino15\packages\arduino\tools\avr-gcc\7.3.0-atmel3.6.1-arduino7\lib\gcc\avr\7.3.0\include-fixed;c:\users\gebruiker\appdata\local\arduino15\packages\arduino\tools\avr-gcc\7.3.0-atmel3.6.1-arduino7\avr\include</IncludePath>
    <RemoteCCompileToolExe>c:\Users\Gebruiker\AppData\Local\Arduino15\packages\arduino\tools\avr-gcc\7.3.0-atmel3.6.1-arduino7\bin\avr-g++</RemoteCCompileToolExe>
    <RemoteCppCompileToolExe>c:\Users\Gebruiker\AppData\Local\Arduino15\packages\arduino\tools\avr-gcc\7.3.0-atmel3.6.1-arduino7\bin\avr-g++</RemoteCppCompileToolExe>
    <ValidateArchitecture>false</ValidateArchitecture>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|ARM'">
    <ClCompile>
      <AdditionalIncludeDirectories>$(ProjectDir)..\MO_2_Metal_detector;c:\Users\Gebruiker\AppData\Local\Arduino15\packages\arduino\hardware\avr\1.8.5\cores\arduino;c:\Users\Gebruiker\AppData\Local\Arduino15\packages\arduino\hardware\avr\1.8.5\variants\standard;c:\users\gebruiker\appdata\local\arduino15\packages\arduino\tools\avr-gcc\7.3.0-atmel3.6.1-arduino7\lib\gcc\avr\7.3.0\include;c:\users\gebruiker\appdata\local\arduino15\packages\arduino\tools\avr-gcc\7.3.0-atmel3.6.1-arduino7\lib\gcc\avr\7.3.0\include-fixed;c:\users\gebruiker\appdata\local\arduino15\packages\arduino\tools\avr-gcc\7.3.0-atmel3.6.1-arduino7\avr\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <GccToolChain>c:\Users\Gebruiker\AppData\Local\Arduino15\packages\arduino\tools\avr-gcc\7.3.0-atmel3.6.1-arduino7\bin\avr-g++</GccToolChain>
      <CppLanguageStandard>gnu++11</CppLanguageStandard>
      <CLanguageStandard>gnu11</CLanguageStandard>
      <CAdditionalWarning />
      <CppAdditionalWarning />
      <ForcedIncludeFiles>c:\program files\microsoft visual studio\2022\community\common7\ide\extensions\33x5q2if.r4j\Micro Platforms\default\vm-intelli-pre.h;C:\Users\Gebruiker\AppData\Local\Temp\VMBuilds\MO_2_Metal_detector\uno\Debug\.vmintelli\08b14265f23dec028dbdaa7bf79a5f0c\vm-intelli-gcc-defines.h;c:\program files\microsoft visual studio\2022\community\common7\ide\extensions\33x5q2if.r4j\Micro Platforms\default\vm-intelli-post.h;$(ProjectDir)__vm\.MO_2_Metal_detector.vsarduino.h;%(ForcedIncludeFiles)</ForcedIncludeFiles>
      <UndefineAllPreprocessorDefinitions>true</UndefineAllPreprocessorDefinitions>
      <IgnoreStandardIncludePath>true</IgnoreStandardIncludePath>
      <PreprocessorDefinitions>_VMICRO_INTELLISENSE;__AVR_atmega328p__;__AVR_ATmega328P__;__AVR_ATmega328p__;_VMDEBUG=1;F_CPU=16000000L;ARDUINO=108010;ARDUINO_AVR_UNO;ARDUINO_ARCH_AVR;%(PreprocessorDefinitions)</PreprocessorDefinitions>
    </ClCompile>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|ARM'">
    <ClCompile>
      <AdditionalIncludeDirectories>$(ProjectDir)..\MO_2_Metal_detector;c:\Users\Gebruiker\AppData\Local\Arduino15\packages\arduino\hardware\avr\1.8.5\cores\arduino;c:\Users\Gebruiker\AppData\Local\Arduino15\packages\arduino\hardware\avr\1.8.5\variants\standard;c:\users\gebruiker\appdata\local\arduino15\packages\arduino\tools\avr-gcc\7.3.0-atmel3.6.1-arduino7\lib\gcc\avr\7.3.0\include;c:\users\gebruiker\appdata\local\arduino15\packages\arduino\tools\avr-gcc\7.3.0-atmel3.6.1-arduino7\lib\gcc\avr\7.3.0\include-fixed;c:\users\gebruiker\appdata\local\arduino15\packages\arduino\tools\avr-gcc\7.3.0-atmel3.6.1-arduino7\avr\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <GccToolChain>c:\Users\Gebruiker\AppData\Local\Arduino15\packages\arduino\tools\avr-gcc\7.3.0-atmel3.6.1-arduino7\bin\avr-g++</GccToolChain>
      <CppLanguageStandard>gnu++11</CppLanguageStandard>
      <CLanguageStandard>gnu11</CLanguageStandard>
      <CAdditionalWarning />
      <CppAdditionalWarning />
      <ForcedIncludeFiles>c:\program files\microsoft visual studio\2022\community\common7\ide\extensions\33x5q2if.r4j\Micro Platforms\default\vm-intelli-pre.h;C:\Users\Gebruiker\AppData\Local\Temp\VMBuilds\MO_2_Metal_detector\uno\Release\.vmintelli\08b14265f23dec028dbdaa7bf79a5f0c\vm-intelli-gcc-defines.h;c:\program files\microsoft visual studio\2022\community\common7\ide\extensions\33x5q2if.r4j\Micro Platforms\default\vm-intelli-post.h;$(ProjectDir)__vm\.MO_2_Metal_detector.vsarduino.h;%(ForcedIncludeFiles)</ForcedIncludeFiles>
      <UndefineAllPreprocessorDefinitions>true</UndefineAllPreprocessorDefinitions>
      <IgnoreStandardIncludePath>true</IgnoreStandardIncludePath>
      <PreprocessorDefinitions>_VMICRO_INTELLISENSE;__AVR_atmega328p__;__AVR_ATmega328P__;__AVR_ATmega328p__;F_CPU=16000000L;ARDUINO=108010;ARDUINO_AVR_UNO;ARDUINO_ARCH_AVR;%(PreprocessorDefinitions)</PreprocessorDefinitions>
    </ClCompile>
  </ItemDefinitionGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets" />
  <ProjectExtensions>
    <VisualStudio>
      <UserProperties config.Debug.customdebug_uno_debugger_type="universal" />
    </VisualStudio>
  </ProjectExtensions>
</Project>